OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
juce::dsp::ProcessContextNonReplacing< ContextSampleType > Struct Template Reference

`#include <juce_ProcessContext.h>`

## Public Types
using | SampleType = ContextSampleType
using | AudioBlockType = AudioBlock< SampleType >
using | ConstAudioBlockType = AudioBlock< const SampleType >

## Public Member Functions
| ProcessContextNonReplacing (const ConstAudioBlockType &input, AudioBlockType &output) noexcept
| ProcessContextNonReplacing (const ProcessContextNonReplacing &)=default
| ProcessContextNonReplacing (ProcessContextNonReplacing &&)=default
const ConstAudioBlockType & | getInputBlock () const noexcept
AudioBlockType & | getOutputBlock () const noexcept

## Static Public Member Functions
static constexpr bool | usesSeparateInputAndOutputBlocks ()

## Public Attributes
bool | isBypassed = false

## Detailed Description

template<typename ContextSampleType>
struct juce::dsp::ProcessContextNonReplacing< ContextSampleType >

Contains context information that is passed into an algorithm's process method.

This context is intended for use in situations where two different blocks are being used the input and output to the process algorithm, so the processor must read from the block returned by getInputBlock() and write its results to the block returned by getOutputBlock().

See also
  ProcessContextReplacing

Definition at line 132 of file juce_ProcessContext.h.

## Member Typedef Documentation

## ◆ AudioBlockType

template<typename ContextSampleType >

using juce::dsp::ProcessContextNonReplacing< ContextSampleType >::AudioBlockType = AudioBlock<SampleType>

The type of audio block that this context handles.

Definition at line 138 of file juce_ProcessContext.h.

## ◆ ConstAudioBlockType

template<typename ContextSampleType >

using juce::dsp::ProcessContextNonReplacing< ContextSampleType >::ConstAudioBlockType = AudioBlock<const SampleType>

Definition at line 139 of file juce_ProcessContext.h.

## ◆ SampleType

template<typename ContextSampleType >

using juce::dsp::ProcessContextNonReplacing< ContextSampleType >::SampleType = ContextSampleType

The type of a single sample (which may be a vector if multichannel).

Definition at line 136 of file juce_ProcessContext.h.

## Constructor & Destructor Documentation

## ◆ ProcessContextNonReplacing()

template<typename ContextSampleType >

juce::dsp::ProcessContextNonReplacing< ContextSampleType >::ProcessContextNonReplacing | ( | const ConstAudioBlockType & | input,
|  | AudioBlockType & | output
| ) |  |
| inline noexcept

Creates a ProcessContextReplacing that uses the given input and output blocks. Note that the caller must not delete these blocks while they are still in use by this object!

Definition at line 144 of file juce_ProcessContext.h.

## Member Function Documentation

## ◆ getInputBlock()

template<typename ContextSampleType >

const ConstAudioBlockType & juce::dsp::ProcessContextNonReplacing< ContextSampleType >::getInputBlock | ( |  | ) | const
| inline noexcept

Returns the audio block to use as the input to a process function.

Definition at line 156 of file juce_ProcessContext.h.

## ◆ getOutputBlock()

template<typename ContextSampleType >

AudioBlockType & juce::dsp::ProcessContextNonReplacing< ContextSampleType >::getOutputBlock | ( |  | ) | const
| inline noexcept

Returns the audio block to use as the output to a process function.

Definition at line 159 of file juce_ProcessContext.h.

## ◆ usesSeparateInputAndOutputBlocks()

template<typename ContextSampleType >

static constexpr bool juce::dsp::ProcessContextNonReplacing< ContextSampleType >::usesSeparateInputAndOutputBlocks | ( |  | ) |
| inline static constexpr

All process context classes will define this constant method so that templated code can determine whether the input and output blocks refer to the same buffer, or to two different ones.

Definition at line 165 of file juce_ProcessContext.h.

## Member Data Documentation

## ◆ isBypassed

template<typename ContextSampleType >

bool juce::dsp::ProcessContextNonReplacing< ContextSampleType >::isBypassed = false

If set to true, then a processor's process() method is expected to do whatever is appropriate for it to be in a bypassed state.

Definition at line 170 of file juce_ProcessContext.h.

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h